### Hierarchy

- unknown
  - CreateOfferRequest

## Index

### Constructors

- constructor

### Methods

- getAmount
- getBuyerSecurityDepositPct
- getCurrencyCode
- getDirection
- getMarketPriceMarginPct
- getMinAmount
- getPaymentAccountId
- getPrice
- getTriggerPrice
- getUseMarketBasedPrice
- serializeBinary
- setAmount
- setBuyerSecurityDepositPct
- setCurrencyCode
- setDirection
- setMarketPriceMarginPct
- setMinAmount
- setPaymentAccountId
- setPrice
- setTriggerPrice
- setUseMarketBasedPrice
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new CreateOfferRequest(): CreateOfferRequest

- Inherited from jspb.Message.constructor

  #### Returns CreateOfferRequest

## Methods

### getAmount

- getAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1485

  #### Returns string

### getBuyerSecurityDepositPct

- getBuyerSecurityDepositPct(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1491

  #### Returns number

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1470

  #### Returns string

### getDirection

- getDirection(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1473

  #### Returns string

### getMarketPriceMarginPct

- getMarketPriceMarginPct(): number

- - Defined in src/protobuf/grpc_pb.d.ts:1482

  #### Returns number

### getMinAmount

- getMinAmount(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1488

  #### Returns string

### getPaymentAccountId

- getPaymentAccountId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1497

  #### Returns string

### getPrice

- getPrice(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1476

  #### Returns string

### getTriggerPrice

- getTriggerPrice(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1494

  #### Returns string

### getUseMarketBasedPrice

- getUseMarketBasedPrice(): boolean

- - Defined in src/protobuf/grpc_pb.d.ts:1479

  #### Returns boolean

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1500

  #### Returns Uint8Array

### setAmount

- setAmount(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1486

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setBuyerSecurityDepositPct

- setBuyerSecurityDepositPct(value: number): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1492

  #### Parameters

  - ##### value: number

  #### Returns CreateOfferRequest

### setCurrencyCode

- setCurrencyCode(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1471

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setDirection

- setDirection(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1474

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setMarketPriceMarginPct

- setMarketPriceMarginPct(value: number): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1483

  #### Parameters

  - ##### value: number

  #### Returns CreateOfferRequest

### setMinAmount

- setMinAmount(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1489

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setPaymentAccountId

- setPaymentAccountId(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1498

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setPrice

- setPrice(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1477

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setTriggerPrice

- setTriggerPrice(value: string): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1495

  #### Parameters

  - ##### value: string

  #### Returns CreateOfferRequest

### setUseMarketBasedPrice

- setUseMarketBasedPrice(value: boolean): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1480

  #### Parameters

  - ##### value: boolean

  #### Returns CreateOfferRequest

### toObject

- toObject(includeInstance?: boolean): CreateOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1501

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns CreateOfferRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1504

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns CreateOfferRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: CreateOfferRequest, reader: BinaryReader): CreateOfferRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1505

  #### Parameters

  - ##### message: CreateOfferRequest

  - ##### reader: BinaryReader

  #### Returns CreateOfferRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: CreateOfferRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1503

  #### Parameters

  - ##### message: CreateOfferRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: CreateOfferRequest ): CreateOfferRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1502

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: CreateOfferRequest

  #### Returns CreateOfferRequest . AsObject

Generated using TypeDoc